%define oname   journey

Name:       ruby-%{oname}
Version:    1.0.4
Release:    %mkrel 4
Summary:    Router for Ruby
Group:      Development/Ruby
License:    MIT
URL:        http://onestepback.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Journey is a router. It routes requests.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
# no shebang in lib/ files (TODO: implement that in gem_helper.rb)
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
    -type f -exec sed -i '/^#!/d' {} \;

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.0.4-4.mga3
+ Revision: 396100
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-3.mga3
+ Revision: 381064
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.0.4-2.mga3
+ Revision: 313084
- rebuild for new ruby

* Tue Jul 03 2012 shlomif <shlomif> 1.0.4-1.mga3
+ Revision: 267048
- New version 1.0.4

* Thu Jun 07 2012 shlomif <shlomif> 1.0.3-1.mga3
+ Revision: 257136
- Remove dot at the end of the summary
- Got it to build
- imported package ruby-journey

